@echo off
echo [-]  Task 'backup' start

rem zenno projects directory
set zenno_dir=C:\zenno

rem backups directory (with slash on end!)
set backup_dir=C:\YandexDisk\zenno\monthly\

rem archive name
set backup_filename=zenno



rem argumets for rar.exe
set rar_argum=-m3 -dh -r -y -rr -t -mt1 -ag_yyyy_mm_dd_hh_mm -inul

rem path to rar.exe
set rar_path=

rem check rar.exe availability
if "%rar_path%" == "" (
	if exist "C:\Program Files\WinRAR\rar.exe" (
		set rar_path="C:\Program Files\WinRAR\rar.exe"
	) else (
		if exist "C:\Program Files (x86)\WinRAR\rar.exe" (
			set rar_path="C:\Program Files (x86)\WinRAR\rar.exe"
		) else (
			goto :rar_not_found
		)
	)
)


rem check forfiles.exe availability
if not exist "C:\Windows\System32\forfiles.exe" (
	goto :forfiles_not_found
)


rem remove archives older 14 days
echo [-]  Start removing old archives
"C:\Windows\System32\forfiles.exe" /p %backup_dir% /s /m *.rar /d -12 /c "cmd /c del /q /f @file"
echo [+]  Finish removing old archives

rem create archive
echo [-]  Start backup
%rar_path% a %rar_argum% %backup_dir%%backup_filename% %zenno_dir%
echo [+]  Finish backup



goto :done


:rar_not_found
echo [!]  C:\Program Files\WinRAR\rar.exe - not found! WinRAR installed?
echo [!]  Set path to rar.exe in rar_path variable
pause
exit /b 1

:forfiles_not_found
echo [!]  C:\Windows\System32\forfiles.exe - not found!
echo [!]  Download this from: ( https://www.microsoft.com/en-us/download/details.aspx?id=17657 ??? )
exit /b 1

:done
echo [+]  Task 'backup' end
exit /b 0